name='protonup-qt'
version='2.7.4'
release='1'
desc='GUI for installing and updating Proton-GE for Steam and Wine-based compatibility tools like Wine-GE for Lutris. Partly based on protonup.'
homepage='https://github.com/DavidoTek/ProtonUp-Qt'
architectures='amd64'
licenses='GPLv3'
provides='protonup-qt'
conflicts='protonup-qt'

deps_arch=('pyside6' 'python-inputs' 'python-psutil' 'python-requests' 'python-setproctitle' 'python-steam' 'python-vdf' 'python-pyxdg' 'python-pyaml' 'qt6-tools')
build_deps_arch=('python3-build' 'python-setuptools' 'python-wheel')
deps_rosa=('')

sources=("https://github.com/DavidoTek/ProtonUp-Qt/archive/refs/tags/v2.7.4.tar.gz")
checksums=('SKIP')

prepare() {
cd "${srcdir}"
}

package() {
install -Dm755 "" "${pkgdir}/usr/bin/${name}"
}
